#!/bin/sh

LOG="./patch.log"
function cmd(){
    echo $* >> $LOG 2>&1
    $* >> $LOG 2>&1
}

VERSION=$(cat /opt/passlogic/VERSION | grep \
	-e ent-3.0.0 \
	| tee -a $LOG)
if [ -z "$VERSION" ]; then
	echo "invalid PassLogic Version." | tee -a $LOG
	exit 1;
fi

cat /etc/redhat-release | grep "release 7" >> $LOG 2>&1
if [ $? -eq 1 ]; then
	echo "invalid OS." | tee -a $LOG

	exit 1;
fi

agreed=
while [ -z "$agreed" ]; do
	echo
	echo "Start updating PassLogic version ${VERSION}_sso [yes or no] "
	read reply leftover
	case $reply in
		[yY] | [yY][eE][sS])
			agreed=1
			;;
		[nN] | [nN][oO])
			exit 1
			;;
	esac
done

cp /opt/passlogic/apps/user/ui/menu.php /opt/passlogic/apps/user/ui/menu.php.org
echo "cp /opt/passlogic/apps/user/ui/menu.php /opt/passlogic/apps/user/ui/menu.php.org" >> $LOG 2>&1
cp ./file/menu.php /opt/passlogic/apps/user/ui/menu.php
echo "cp ./file/menu.php /opt/passlogic/apps/user/ui/menu.php" >> $LOG 2>&1

echo "${VERSION}_sso" | tee -a $LOG > /opt/passlogic/VERSION
echo "complete." | tee -a $LOG

